Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » General (non-technical) » Polish users » Eclipse update problem
Eclipse update problem [message #656777] Mon, 28 February 2011 09:53 Go to next message
tomek  is currently offline tomek
Messages: 12
Registered: February 2011
Junior Member
Mam eclipse / I have eclipse
Version: 3.6.1
Build id: M20100909-0800
zainstalowane po zciągnięciu ze strony eclipsa / which I installed after downloaded form eclipse site.

Klikam Check for updates i dostaję / I click Check for updates and I get:
Cannot complete the install because of a conflicting dependency.
  Software being installed: Eclipse SDK 3.6.2.M20110210-1200 (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
  Software currently installed: Shared profile 1.0.0.1284044641500 (SharedProfile_SDKProfile 1.0.0.1284044641500)
  Only one of the following can be installed at once: 
    Eclipse SDK 3.6.1.M20100909-0800 (org.eclipse.sdk.ide 3.6.1.M20100909-0800)
    Eclipse SDK 3.6.2.M20110210-1200 (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
  Cannot satisfy dependency:
    From: Shared profile 1.0.0.1284044641500 (SharedProfile_SDKProfile 1.0.0.1284044641500)
    To: org.eclipse.sdk.ide [3.6.1.M20100909-0800]

O co chodzi z tym konfliktem - nierozumie / What is this conflict about - I can not understand.
Re: Eclipse update problem [message #656898 is a reply to message #656777] Mon, 28 February 2011 17:32 Go to previous messageGo to next message
Mariusz P. is currently offline Mariusz P.
Messages: 85
Registered: February 2010
Member
Czy do aktualizacji wybierasz oba składniki: Eclipse SDK 3.6.1.M20100909-0800 (org.eclipse.sdk.ide 3.6.1.M20100909-0800) i Eclipse SDK 3.6.2.M20110210-1200 (org.eclipse.sdk.ide 3.6.2.M20110210-1200)? Tylko jeden z nich może być zainstalowany (ten drugi jak widać jest nowszy). Aktualizator nie może też znaleźć składnika Shared profile 1.0.0.1284044641500 (SharedProfile_SDKProfile 1.0.0.1284044641500), który jest wymagany dla org.eclipse.sdk.ide [3.6.1.M20100909-0800]. Ostatnio na dniach wyszła wersja SR2 (3.6.2) Heliosa i może warto zaktualizować do tej wersji.

[Updated on: Tue, 01 March 2011 07:33]

Report message to a moderator

Re: Eclipse update problem [message #657031 is a reply to message #656777] Tue, 01 March 2011 07:06 Go to previous messageGo to next message
tomek  is currently offline tomek
Messages: 12
Registered: February 2011
Junior Member
Jak napisałem w pierwszym poście !!!
- Eclipse mam zainstalowane po pobraniu ze strony Eclipsa - a nie z żadnego repo (z repo jest gorzej)
- klikam "Help -> Check for updatets" - więc nie instaluje żadnego składnika - nie wybieram żadnego składnika do aktualizacji - tylko po prostu po kliknięciu po jakimś czasie jak eclipse sobie pomięli wyskakuje mi taka wiadomość.

A to czego nie rozumie:
- teraz mam Eclipse SDK 3.6.1.M20100909-0800 a chcę zainstalować Eclipse SDK 3.6.2.M20110210-1200 - a to nie są żadne składniki Eclipsa, tylk starsza i nowsza wersja Eclipsa - więc muszę mieć pierwsze zainstalowaną starszą żeby za jej pomocą zainstalować nowszą.

Nic nie instaluje na siłę tylko klikam "Check for updates" więc wszystko powinno się ładnie zaktualizować - tak mi się wydawało.
Re: Eclipse update problem [message #657042 is a reply to message #656777] Tue, 01 March 2011 07:32 Go to previous messageGo to next message
Mariusz P. is currently offline Mariusz P.
Messages: 85
Registered: February 2010
Member
Może były jakieś problemy z dostępnością serwerów? Spróbuj ręcznie usnąć składnik Shared Profile, a następnie wykonać aktualizację. I bez nerwów Smile Wczoraj chyba troszeczkę byłem zmęczony i jakoś mi się nieskładnie pisało. Zresztą już się poprawiłem. Zastanawiające jest też, że wyskakuje ten komunikat przed wyborem składników do aktualizacji. Spróbuj uruchomić: eclipse -clean

[Updated on: Tue, 01 March 2011 08:07]

Report message to a moderator

Re: Eclipse update problem [message #657605 is a reply to message #656777] Thu, 03 March 2011 08:14 Go to previous messageGo to next message
tomek  is currently offline tomek
Messages: 12
Registered: February 2011
Junior Member
OK.
Puściłem 'eclipse -clean', ale teraz mam komunikat jak poniżej.
Dalej jedyne co robie to 'Help -> Check for updates' i leci ten błąd od razu.
W jaki sposób mogę usunąć składnik Shared Profile ?
Jak klikam 'Help-> Install new software -> What is already installed' to nie mogę go znaleźć - ani nie ma tam opcji żeby coś usunąć.

Cannot complete the install because of a conflicting dependency.
  Software being installed: Eclipse SDK 3.6.2.M20110210-1200 (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
  Software currently installed: Shared profile 1.0.0.1284044641500 (SharedProfile_SDKProfile 1.0.0.1284044641500)
  Only one of the following can be installed at once: 
    toolingorg.eclipse.sdk.ide.configuration 3.6.1.M20100909-0800
    toolingorg.eclipse.sdk.ide.configuration 3.6.2.M20110210-1200
  Cannot satisfy dependency:
    From: Shared profile 1.0.0.1284044641500 (SharedProfile_SDKProfile 1.0.0.1284044641500)
    To: toolingorg.eclipse.sdk.ide.configuration [3.6.1.M20100909-0800]
  Cannot satisfy dependency:
    From: Eclipse SDK 3.6.2.M20110210-1200 (org.eclipse.sdk.ide 3.6.2.M20110210-1200)
    To: toolingorg.eclipse.sdk.ide.configuration [3.6.2.M20110210-1200]
Re: Eclipse update problem [message #657746 is a reply to message #657605] Thu, 03 March 2011 15:04 Go to previous messageGo to next message
Mariusz P. is currently offline Mariusz P.
Messages: 85
Registered: February 2010
Member
Może po prostu lepiej i szybciej będzie ściągnąć nowe Eclipse Helios 3.6.2? Co masz w Available Software Sites? Można wszystko to zaznaczyć, wyeksportować, usunąć i podać tylko adres do aktualizacji Eclipse Helios.
Re: Eclipse update problem [message #658254 is a reply to message #656777] Mon, 07 March 2011 10:29 Go to previous messageGo to next message
tomek  is currently offline tomek
Messages: 12
Registered: February 2011
Junior Member
W available softwae mam:
Eclipse Project Test Site           http://download.eclipse.org/eclipse/updates/3.6                   Enabled
Ecipse Helios                       http://download.eclipse.org/releases/helios/                      Enabled
JSEclipse	                    http://download.macromedia.com/pub/labs/jseclipse/autoinstall/	Enabled


Czyli tak - zaznaczyć to - wyeksportować - odznaczyć.
Co teraz powinienem zaznaczyć ??
Kliknąć Check for updates.
I importować.

Tylko teraz te rzeczy odznaczone nie zostaną updatowane - tylko sam eclipse ?
Więc powinienem znowu updatować wszystko ?
Re: Eclipse update problem [message #658814 is a reply to message #658254] Wed, 09 March 2011 16:43 Go to previous message
Mariusz P. is currently offline Mariusz P.
Messages: 85
Registered: February 2010
Member
Niewiele tego. Spróbuj wszystkie wpisy zaznaczyć i wyeksportować jako kopię zapasową do jakiegoś pliku na boku. Może usuń link do JSEclipse? Choć wątpię czy to coś pomoże. Obecnie JSEclipse nie jest już chyba rozwijane aktywnie. Adobe zaleca Flex Buildera. Być może te składniki wymagają takie, a nie innej wersji Eclipse Helios. Na stronach nic nie piszą. A żeby to sprawdzić trzeba byłoby całkowicie usunąć/odinstalować JSEclipse, co pewnie raczej nie będzie Ci na rękę. Zawsze też możesz pobrać czyste Eclipse Helios 3.6.1, zainstalować JSEclipse i spróbować wtedy zaktualizować. Ewentualnie ściągnąć już Eclipse 3.6.2 i próbować zainstalować do niego JSEclipse Smile Co do aktualizacji to nie jest takie proste. Eclipse sprawdza sobie zależności między składnikami. Będzie próbował znaleźć to co mu brakuje i doinstalować. Jeśli poszukiwania nie zakończą się sukcesem wyświetli zapewne odpowiedni komunikat.
Previous Topic:JSON editor
Next Topic:.DLL file
Goto Forum:
  


Current Time: Thu Jul 31 13:44:15 EDT 2014

Powered by FUDForum. Page generated in 0.01835 seconds